Index: CONFIG/trunk/LMDZINCA_v2/EXP_CH4_AER/COMP/inca.card
===================================================================
--- CONFIG/trunk/LMDZINCA_v2/EXP_CH4_AER/COMP/inca.card	(revision 184)
+++ CONFIG/trunk/LMDZINCA_v2/EXP_CH4_AER/COMP/inca.card	(revision 207)
@@ -11,27 +11,27 @@
 
 [BoundaryFiles]
-List=	    (/dmnfs/p24data/ECMWF320x160/AN${year}/165_${year}${month}.nc , u10mec.nc)\
-	    (/dmnfs/p24data/ECMWF320x160/AN${year}/166_${year}${month}.nc , v10mec.nc)\
-	    (/dmnfs/p24data/ECMWF96x72/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc)\
-	    (/dmnfs/p24data/ECMWF96x72/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc)
+List=	    (/dmnfs/p24data/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
+	    (/dmnfs/p24data/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
+	    (/dmnfs/p24data/ECMWF96x72/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
+	    (/dmnfs/p24data/ECMWF96x72/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
 
-ListNonDel= (${MODIPSL}/modeles/INCA3/SIMULATIONS/CH4_AER/inca.dat , inca.dat       )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/${RESOL_CHM}/o3clim.nc               ,   o3clim.nc      )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/${RESOL_CHM}/mozart.nc               ,   mozart.nc	)\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/${RESOL_CHM}/oxydants.nc             ,   oxydants.nc    )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/${RESOL_CHM}/npp.nc	             ,   npp.nc	        )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/${RESOL_CHM}/aircraft.nc             ,   aircraft.nc    )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/${RESOL_CHM}/so4.nc	             ,   so4.nc	        )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/obs_input.dat		     ,   obs_input.dat  )\
-	    (${R_INIT}/CHM/LMDZINCA/AER/sflx_lmdz_phy.june07.nc       ,   sflx.nc	)\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/phototable.dat_V4.2	     ,   phototable.dat )\
-	    (${R_INIT}/CHM/LMDZINCA/CH4/${RESOL_CHM}/landuse.nc              ,   landuse.nc     )\
-            (${R_INIT}/CHM/LMDZINCA/AER/${RESOL_CHM}/rhvlmdz.txt             ,	 rhv.dat        )\
-            (${R_INIT}/CHM/LMDZINCA/AER/${RESOL_CHM}/wthlmdz.txt             ,   wth.dat	)\
-            (${R_INIT}/CHM/LMDZINCA/AER/${RESOL_CHM}/clylmdz.txt             ,	 cly.dat	)\
-            (${R_INIT}/CHM/LMDZINCA/AER/rhvEC11.09092002.txt	     ,   rhvEC.txt	)\
-            (${R_INIT}/CHM/LMDZINCA/AER/wthEC11.09092002.txt	     ,   wthEC.txt	)\
-            (${R_INIT}/CHM/LMDZINCA/AER/clyEC11.09092002.txt	     ,   clyEC.txt	)\
-            (${R_INIT}/CHM/LMDZINCA/AER/obs_aerinput.prn              ,   .		)
+ListNonDel= (${MODIPSL}/modeles/INCA3/SIMULATIONS/CH4_AER/inca.dat           ,   inca.dat       )\
+	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/o3clim.nc           ,   o3clim.nc      )\
+	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/mozart.nc           ,   mozart.nc	)\
+	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/oxydants.nc         ,   oxydants.nc    )\
+	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/npp.nc	             ,   npp.nc	        )\
+	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/aircraft.nc         ,   aircraft.nc    )\
+	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/so4.nc	             ,   so4.nc	        )\
+	    (${R_INIT}/CHM/LMDZINCA/CH4/obs_input.dat		             ,   obs_input.dat  )\
+	    (${R_INIT}/CHM/LMDZINCA/AER/sflx_lmdz_phy.june07.nc              ,   sflx.nc	)\
+	    (${R_INIT}/CHM/LMDZINCA/CH4/phototable.dat_V4.2	             ,   phototable.dat )\
+	    (${R_INIT}/CHM/LMDZINCA/CH4/INCA${RESOL_CHM}/landuse.nc          ,   landuse.nc     )\
+            (${R_INIT}/CHM/LMDZINCA/AER/INCA${RESOL_CHM}/rhvlmdz.txt         ,	 rhv.dat        )\
+            (${R_INIT}/CHM/LMDZINCA/AER/INCA${RESOL_CHM}/wthlmdz.txt         ,   wth.dat	)\
+            (${R_INIT}/CHM/LMDZINCA/AER/INCA${RESOL_CHM}/clylmdz.txt         ,	 cly.dat	)\
+            (${R_INIT}/CHM/LMDZINCA/AER/rhvEC11.09092002.txt	             ,   rhvEC.txt	)\
+            (${R_INIT}/CHM/LMDZINCA/AER/wthEC11.09092002.txt	             ,   wthEC.txt	)\
+            (${R_INIT}/CHM/LMDZINCA/AER/clyEC11.09092002.txt	             ,   clyEC.txt	)\
+            (${R_INIT}/CHM/LMDZINCA/AER/obs_aerinput.prn                     ,   .		)
 
 [ParametersFiles]
Index: CONFIG/trunk/LMDZINCA_v2/EXP_CH4_AER/COMP/lmdz.card
===================================================================
--- CONFIG/trunk/LMDZINCA_v2/EXP_CH4_AER/COMP/lmdz.card	(revision 184)
+++ CONFIG/trunk/LMDZINCA_v2/EXP_CH4_AER/COMP/lmdz.card	(revision 207)
@@ -7,12 +7,12 @@
 [InitialStateFiles]
 # start and startphy are the clim files computed with CLIM_CREATE (create_etat0_limit) job
-List= 	(${R_INIT}/CHM/${config_UserChoices_TagName}/${RESOL_CHM/start.nc, start.nc) \
-	(${R_INIT}/CHM/${config_UserChoices_TagName}/${RESOL_CHM/startphy.nc, startphy.nc)\
-	(${R_INIT}/CHM/${config_UserChoices_TagName}/${RESOL_CHM/precipinsoil.dat, precipinsoil.dat)
+List= 	(${R_INIT}/CHM/${config_UserChoices_TagName}/INCA${RESOL_CHM/start.nc, start.nc) \
+	(${R_INIT}/CHM/${config_UserChoices_TagName}/INCA${RESOL_CHM/startphy.nc, startphy.nc)\
+	(${R_INIT}/CHM/${config_UserChoices_TagName}/INCA${RESOL_CHM/precipinsoil.dat, precipinsoil.dat)
 
 [BoundaryFiles]
 List=   () 
 # The first one is the clim limit.nc computed with CLIM_CREATE job
-ListNonDel= (${R_BC}/CHM/LMDZINCA/LMD9672/limit.nc, limit.nc)
+ListNonDel= (${R_BC}/CHM/LMDZINCA/${RESOL_ATM}/limit.nc, limit.nc)
 
 [ParametersFiles]