Index: CONFIG/trunk/LMDZINCA_v2/EXP_AER/COMP/lmdz.driver
===================================================================
--- CONFIG/trunk/LMDZINCA_v2/EXP_AER/COMP/lmdz.driver	(revision 228)
+++ CONFIG/trunk/LMDZINCA_v2/EXP_AER/COMP/lmdz.driver	(revision 229)
@@ -81,7 +81,13 @@
     IGCM_sys_Mv gcm.def.tmp gcm.def
 
+    greg_dat=$( IGCM_date_ConvertFormatToGregorian $PeriodDateBegin ) 
+    jul_dat=$( IGCM_date_ConvertGregorianDateToJulian $greg_dat )
+    nbjour=$( expr \( $jul_dat \% 1000 \) ) 
+    yractu=$( expr $greg_dat / 10000  )
+    echo  "dayref = " $nbjour  "year actu = " $yractu
+
     ## Mise en forme du fichier run.def
-    sed -e "s/_dayref_/${InitDay}/" \
-	-e "s/_anneeref_/${InitYear}/" \
+    sed -e "s/_dayref_/${nbjour}/" \
+	-e "s/_anneeref_/${yractu}/" \
 	-e "s/_nday_/${PeriodLengthInDays}/" \
 	-e "s/_raz_date_/${RAZ_DATE}/" \
Index: CONFIG/trunk/LMDZINCA_v2/EXP_CH4/COMP/lmdz.driver
===================================================================
--- CONFIG/trunk/LMDZINCA_v2/EXP_CH4/COMP/lmdz.driver	(revision 228)
+++ CONFIG/trunk/LMDZINCA_v2/EXP_CH4/COMP/lmdz.driver	(revision 229)
@@ -81,7 +81,13 @@
     IGCM_sys_Mv gcm.def.tmp gcm.def
 
+    greg_dat=$( IGCM_date_ConvertFormatToGregorian $PeriodDateBegin ) 
+    jul_dat=$( IGCM_date_ConvertGregorianDateToJulian $greg_dat )
+    nbjour=$( expr \( $jul_dat \% 1000 \) ) 
+    yractu=$( expr $greg_dat / 10000  )
+    echo  "dayref = " $nbjour  "year actu = " $yractu
+
     ## Mise en forme du fichier run.def
-    sed -e "s/_dayref_/${InitDay}/" \
-	-e "s/_anneeref_/${InitYear}/" \
+    sed -e "s/_dayref_/${nbjour}/" \
+	-e "s/_anneeref_/${yractu}/" \
 	-e "s/_nday_/${PeriodLengthInDays}/" \
 	-e "s/_raz_date_/${RAZ_DATE}/" \
Index: CONFIG/trunk/LMDZINCA_v2/EXP_CH4_AER/COMP/lmdz.driver
===================================================================
--- CONFIG/trunk/LMDZINCA_v2/EXP_CH4_AER/COMP/lmdz.driver	(revision 228)
+++ CONFIG/trunk/LMDZINCA_v2/EXP_CH4_AER/COMP/lmdz.driver	(revision 229)
@@ -81,7 +81,13 @@
     IGCM_sys_Mv gcm.def.tmp gcm.def
 
+    greg_dat=$( IGCM_date_ConvertFormatToGregorian $PeriodDateBegin ) 
+    jul_dat=$( IGCM_date_ConvertGregorianDateToJulian $greg_dat )
+    nbjour=$( expr \( $jul_dat \% 1000 \) ) 
+    yractu=$( expr $greg_dat / 10000  )
+    echo  "dayref = " $nbjour  "year actu = " $yractu
+
     ## Mise en forme du fichier run.def
-    sed -e "s/_dayref_/${InitDay}/" \
-	-e "s/_anneeref_/${InitYear}/" \
+    sed -e "s/_dayref_/${nbjour}/" \
+	-e "s/_anneeref_/${yractu}/" \
 	-e "s/_nday_/${PeriodLengthInDays}/" \
 	-e "s/_raz_date_/${RAZ_DATE}/" \
Index: CONFIG/trunk/LMDZINCA_v2/EXP_GES/COMP/lmdz.driver
===================================================================
--- CONFIG/trunk/LMDZINCA_v2/EXP_GES/COMP/lmdz.driver	(revision 228)
+++ CONFIG/trunk/LMDZINCA_v2/EXP_GES/COMP/lmdz.driver	(revision 229)
@@ -81,7 +81,13 @@
     IGCM_sys_Mv gcm.def.tmp gcm.def
 
+    greg_dat=$( IGCM_date_ConvertFormatToGregorian $PeriodDateBegin ) 
+    jul_dat=$( IGCM_date_ConvertGregorianDateToJulian $greg_dat )
+    nbjour=$( expr \( $jul_dat \% 1000 \) ) 
+    yractu=$( expr $greg_dat / 10000  )
+    echo  "dayref = " $nbjour  "year actu = " $yractu
+
     ## Mise en forme du fichier run.def
-    sed -e "s/_dayref_/${InitDay}/" \
-	-e "s/_anneeref_/${InitYear}/" \
+    sed -e "s/_dayref_/${nbjour}/" \
+	-e "s/_anneeref_/${yractu}/" \
 	-e "s/_nday_/${PeriodLengthInDays}/" \
 	-e "s/_raz_date_/${RAZ_DATE}/" \
Index: CONFIG/trunk/LMDZINCA_v2/EXP_NMHC/COMP/lmdz.driver
===================================================================
--- CONFIG/trunk/LMDZINCA_v2/EXP_NMHC/COMP/lmdz.driver	(revision 228)
+++ CONFIG/trunk/LMDZINCA_v2/EXP_NMHC/COMP/lmdz.driver	(revision 229)
@@ -81,7 +81,13 @@
     IGCM_sys_Mv gcm.def.tmp gcm.def
 
+    greg_dat=$( IGCM_date_ConvertFormatToGregorian $PeriodDateBegin ) 
+    jul_dat=$( IGCM_date_ConvertGregorianDateToJulian $greg_dat )
+    nbjour=$( expr \( $jul_dat \% 1000 \) ) 
+    yractu=$( expr $greg_dat / 10000  )
+    echo  "dayref = " $nbjour  "year actu = " $yractu
+
     ## Mise en forme du fichier run.def
-    sed -e "s/_dayref_/${InitDay}/" \
-	-e "s/_anneeref_/${InitYear}/" \
+    sed -e "s/_dayref_/${nbjour}/" \
+	-e "s/_anneeref_/${yractu}/" \
 	-e "s/_nday_/${PeriodLengthInDays}/" \
 	-e "s/_raz_date_/${RAZ_DATE}/" \
Index: CONFIG/trunk/LMDZINCA_v2/EXP_NMHC_AER/COMP/lmdz.driver
===================================================================
--- CONFIG/trunk/LMDZINCA_v2/EXP_NMHC_AER/COMP/lmdz.driver	(revision 228)
+++ CONFIG/trunk/LMDZINCA_v2/EXP_NMHC_AER/COMP/lmdz.driver	(revision 229)
@@ -81,7 +81,13 @@
     IGCM_sys_Mv gcm.def.tmp gcm.def
 
+    greg_dat=$( IGCM_date_ConvertFormatToGregorian $PeriodDateBegin ) 
+    jul_dat=$( IGCM_date_ConvertGregorianDateToJulian $greg_dat )
+    nbjour=$( expr \( $jul_dat \% 1000 \) ) 
+    yractu=$( expr $greg_dat / 10000  )
+    echo  "dayref = " $nbjour  "year actu = " $yractu
+
     ## Mise en forme du fichier run.def
-    sed -e "s/_dayref_/${InitDay}/" \
-	-e "s/_anneeref_/${InitYear}/" \
+    sed -e "s/_dayref_/${nbjour}/" \
+	-e "s/_anneeref_/${yractu}/" \
 	-e "s/_nday_/${PeriodLengthInDays}/" \
 	-e "s/_raz_date_/${RAZ_DATE}/" \