Index: /IOIPSL/trunk/IOIPSL_License_CeCILL.txt
===================================================================
--- /IOIPSL/trunk/IOIPSL_License_CeCILL.txt	(revision 386)
+++ /IOIPSL/trunk/IOIPSL_License_CeCILL.txt	(revision 386)
@@ -0,0 +1,36 @@
+The following licence information concerns ONLY the IOIPSL directory
+====================================================================
+
+Copyright (C) Institut Pierre Simon Laplace : IPSL
+
+This software is composed by a set of subroutines working as an
+interface between climate models and NETCDF files following CF
+convention. Library sources, examples of use and tools based on
+IOIPSL are provided. This library requires NetCDF library :
+http://www.unidata.ucar.edu/software/netcdf/
+
+This software is governed by the CeCILL license under French law and
+abiding by the rules of distribution of free software. You can use,
+modify and/or redistribute the software under the terms of the CeCILL
+license as circulated by CEA, CNRS and INRIA at the following URL
+"http://www.cecill.info".
+
+As a counterpart to the access to the source code and rights to copy,
+modify and redistribute granted by the license, users are provided only
+with a limited warranty and the software's author, the holder of the
+economic rights, and the successive licensors have only limited
+liability.
+
+In this respect, the user's attention is drawn to the risks associated
+with loading, using, modifying and/or developing or reproducing the
+software by the user in light of its specific status of free software,
+that may mean that it is complicated to manipulate, and that also
+therefore means that it is reserved for developers and experienced
+professionals having in-depth computer knowledge. Users are therefore
+encouraged to load and test the software's suitability as regards their
+requirements in conditions enabling the security of their systems and/or
+data to be ensured and, more generally, to use and operate it in the
+same conditions as regards security.
+
+The fact that you are presently reading this means that you have had
+knowledge of the CeCILL license and that you accept its terms.
Index: /IOIPSL/trunk/example/testcalendar.f90
===================================================================
--- /IOIPSL/trunk/example/testcalendar.f90	(revision 385)
+++ /IOIPSL/trunk/example/testcalendar.f90	(revision 386)
@@ -2,4 +2,7 @@
 !-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 !- This program will do some basic tests on the calendar
Index: /IOIPSL/trunk/example/testconfig.f90
===================================================================
--- /IOIPSL/trunk/example/testconfig.f90	(revision 385)
+++ /IOIPSL/trunk/example/testconfig.f90	(revision 386)
@@ -2,4 +2,7 @@
 !-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
   !
   USE getincom
Index: /IOIPSL/trunk/example/testconfig2.f90
===================================================================
--- /IOIPSL/trunk/example/testconfig2.f90	(revision 385)
+++ /IOIPSL/trunk/example/testconfig2.f90	(revision 386)
@@ -2,4 +2,7 @@
 !-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
   !
   USE getincom
Index: /IOIPSL/trunk/example/testflio.f90
===================================================================
--- /IOIPSL/trunk/example/testflio.f90	(revision 385)
+++ /IOIPSL/trunk/example/testflio.f90	(revision 386)
@@ -2,4 +2,7 @@
 !-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 !- This program is an example of how to use "fliocom".
Index: /IOIPSL/trunk/example/testhist1.f90
===================================================================
--- /IOIPSL/trunk/example/testhist1.f90	(revision 385)
+++ /IOIPSL/trunk/example/testhist1.f90	(revision 386)
@@ -2,4 +2,7 @@
 !-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 !- This program provide a an example of the basic usage of HIST.
Index: /IOIPSL/trunk/example/testhist2.f90
===================================================================
--- /IOIPSL/trunk/example/testhist2.f90	(revision 385)
+++ /IOIPSL/trunk/example/testhist2.f90	(revision 386)
@@ -2,4 +2,7 @@
 !-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 !- This program provide a an example of the basic usage of HIST.
Index: /IOIPSL/trunk/example/testopp.f90
===================================================================
--- /IOIPSL/trunk/example/testopp.f90	(revision 385)
+++ /IOIPSL/trunk/example/testopp.f90	(revision 386)
@@ -2,4 +2,7 @@
 !-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 !- This program allows to test the syntaxic analyzer.
Index: /IOIPSL/trunk/example/testrest.f90
===================================================================
--- /IOIPSL/trunk/example/testrest.f90	(revision 385)
+++ /IOIPSL/trunk/example/testrest.f90	(revision 386)
@@ -2,4 +2,7 @@
 !-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 !- This program provide a an example of the basic usage of REST.
Index: /IOIPSL/trunk/src/calendar.f90
===================================================================
--- /IOIPSL/trunk/src/calendar.f90	(revision 385)
+++ /IOIPSL/trunk/src/calendar.f90	(revision 386)
@@ -1,5 +1,8 @@
+MODULE calendar
+!-
 !$Id$
 !-
-MODULE calendar
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 !- This is the calendar which going to be used to do all
Index: /IOIPSL/trunk/src/def.prec
===================================================================
--- /IOIPSL/trunk/src/def.prec	(revision 385)
+++ /IOIPSL/trunk/src/def.prec	(revision 386)
@@ -2,4 +2,7 @@
 !-
 ! $Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !!--------------------------------------------------------------------
 !! The module "defprec" set default precision for computation
Index: /IOIPSL/trunk/src/errioipsl.f90
===================================================================
--- /IOIPSL/trunk/src/errioipsl.f90	(revision 385)
+++ /IOIPSL/trunk/src/errioipsl.f90	(revision 386)
@@ -1,5 +1,8 @@
+MODULE errioipsl
+!-
 !$Id$
 !-
-MODULE errioipsl
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 IMPLICIT NONE
Index: /IOIPSL/trunk/src/flincom.f90
===================================================================
--- /IOIPSL/trunk/src/flincom.f90	(revision 385)
+++ /IOIPSL/trunk/src/flincom.f90	(revision 386)
@@ -1,5 +1,8 @@
+MODULE flincom
+!-
 !$Id$
 !-
-MODULE flincom
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
   USE netcdf
Index: /IOIPSL/trunk/src/fliocom.f90
===================================================================
--- /IOIPSL/trunk/src/fliocom.f90	(revision 385)
+++ /IOIPSL/trunk/src/fliocom.f90	(revision 386)
@@ -1,5 +1,8 @@
+MODULE fliocom
+!-
 !$Id$
 !-
-MODULE fliocom
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 USE netcdf
Index: /IOIPSL/trunk/src/getincom.f90
===================================================================
--- /IOIPSL/trunk/src/getincom.f90	(revision 385)
+++ /IOIPSL/trunk/src/getincom.f90	(revision 386)
@@ -1,5 +1,8 @@
+MODULE getincom
+!-
 !$Id$
 !-
-MODULE getincom
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 USE errioipsl, ONLY : ipslerr
Index: /IOIPSL/trunk/src/histcom.f90
===================================================================
--- /IOIPSL/trunk/src/histcom.f90	(revision 385)
+++ /IOIPSL/trunk/src/histcom.f90	(revision 386)
@@ -2,4 +2,7 @@
 !-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !-
   USE netcdf
Index: /IOIPSL/trunk/src/ioipsl.f90
===================================================================
--- /IOIPSL/trunk/src/ioipsl.f90	(revision 385)
+++ /IOIPSL/trunk/src/ioipsl.f90	(revision 386)
@@ -2,4 +2,7 @@
 !
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !
   USE errioipsl 
Index: /IOIPSL/trunk/src/mathelp.f90
===================================================================
--- /IOIPSL/trunk/src/mathelp.f90	(revision 385)
+++ /IOIPSL/trunk/src/mathelp.f90	(revision 386)
@@ -1,5 +1,8 @@
+MODULE mathelp
+!-
 !$Id$
-!
-MODULE mathelp
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
   USE errioipsl,ONLY : ipslerr
Index: /IOIPSL/trunk/src/restcom.f90
===================================================================
--- /IOIPSL/trunk/src/restcom.f90	(revision 385)
+++ /IOIPSL/trunk/src/restcom.f90	(revision 386)
@@ -2,4 +2,7 @@
 !-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !-
 USE netcdf
Index: /IOIPSL/trunk/src/stringop.f90
===================================================================
--- /IOIPSL/trunk/src/stringop.f90	(revision 385)
+++ /IOIPSL/trunk/src/stringop.f90	(revision 386)
@@ -2,4 +2,7 @@
 !-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 !-
Index: /IOIPSL/trunk/tools/Fparser.f90
===================================================================
--- /IOIPSL/trunk/tools/Fparser.f90	(revision 385)
+++ /IOIPSL/trunk/tools/Fparser.f90	(revision 386)
@@ -1,4 +1,8 @@
 PROGRAM fparser
+!-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 
   USE stringop
Index: /IOIPSL/trunk/tools/flio_rbld.f90
===================================================================
--- /IOIPSL/trunk/tools/flio_rbld.f90	(revision 385)
+++ /IOIPSL/trunk/tools/flio_rbld.f90	(revision 386)
@@ -2,4 +2,7 @@
 !
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !!--------------------------------------------------------------------
 !! PROGRAM flio_rbld
Index: /IOIPSL/trunk/tools/ncregular.f90
===================================================================
--- /IOIPSL/trunk/tools/ncregular.f90	(revision 385)
+++ /IOIPSL/trunk/tools/ncregular.f90	(revision 386)
@@ -2,4 +2,7 @@
 !
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
 !---------------------------------------------------------------------
 !- This code replaces a 2D surface grid by vectors.
Index: /IOIPSL/trunk/tools/ncunderflow.f90
===================================================================
--- /IOIPSL/trunk/tools/ncunderflow.f90	(revision 385)
+++ /IOIPSL/trunk/tools/ncunderflow.f90	(revision 386)
@@ -1,4 +1,9 @@
+MODULE declare
 ! -*- Mode: f90 -*-
 !$Id$
+!-
+! This software is governed by the CeCILL license
+! See IOIPSL/IOIPSL_License_CeCILL.txt
+!-
 ! f90 -L/usr/local/lib -lnetcdf -align dcommons -g
 !     -ladebug -check format -check bounds
@@ -11,5 +16,4 @@
 !     -L/usr/local/install/netcdf/lib/libnetcdf.a -lPEPCF90
 !
-MODULE declare
   IMPLICIT NONE
   INTEGER, PARAMETER :: r4 = 4, r8 = 8, i4 = 4, i8 = 8
Index: /IOIPSL/trunk/tools/rebuild
===================================================================
--- /IOIPSL/trunk/tools/rebuild	(revision 385)
+++ /IOIPSL/trunk/tools/rebuild	(revision 386)
@@ -1,4 +1,8 @@
 #!/bin/ksh
+#
 #$Id$
+#
+# This software is governed by the CeCILL license
+# See IOIPSL/IOIPSL_License_CeCILL.txt
 #---------------------------------------------------------------------
 # @(#)Rebuild IOIPSL domains
Index: /IOIPSL/trunk/tools/tkcond.c
===================================================================
--- /IOIPSL/trunk/tools/tkcond.c	(revision 385)
+++ /IOIPSL/trunk/tools/tkcond.c	(revision 386)
@@ -1,4 +1,8 @@
 /* parser config.in
  * $Id$
+ *
+ * This software is governed by the CeCILL license
+ * See IOIPSL/IOIPSL_License_CeCILL.txt
+ *
  * Version 1.0
  * Eric Youngdale
Index: /IOIPSL/trunk/tools/tkgen.c
===================================================================
--- /IOIPSL/trunk/tools/tkgen.c	(revision 385)
+++ /IOIPSL/trunk/tools/tkgen.c	(revision 386)
@@ -1,4 +1,8 @@
 /* Generate tk script based upon config.in
  * $Id$
+ *
+ * This software is governed by the CeCILL license
+ * See IOIPSL/IOIPSL_License_CeCILL.txt
+ *
  * Version 1.0
  * Eric Youngdale
Index: /IOIPSL/trunk/tools/tkparse.c
===================================================================
--- /IOIPSL/trunk/tools/tkparse.c	(revision 385)
+++ /IOIPSL/trunk/tools/tkparse.c	(revision 386)
@@ -1,4 +1,8 @@
 /* parser config.in
  * $Id$
+ *
+ * This software is governed by the CeCILL license
+ * See IOIPSL/IOIPSL_License_CeCILL.txt
+ *
  * Version 1.0
  * Eric Youngdale