Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 414)
+++ /modipsl/trunk/util/mod.def	(revision 415)
@@ -279,9 +279,9 @@
 #-H- LMDZINCA_v2  libIGCM tag libIGCM_v1_1
 #-M- LMDZINCA_v2  Anne.Cozic@lsce.ipsl.fr
-#-C- LMDZINCA_v2  IOIPSL/tags/v2_1_3/src    		HEAD              8  IOIPSL/src  modeles
-#-C- LMDZINCA_v2  tags/v3_2_1/INCA3         	     	?                 9   .          modeles
-#-C- LMDZINCA_v2  LMDZ4                     		LMDZ4_V3_patches  3   .          modeles
-#-C- LMDZINCA_v2  tags/libIGCM_v1_1                     ?                 10  libIGCM    .
-#-C- LMDZINCA_v2  CONFIG/tags/LMDZINCA_v2/LMDZINCA_v2_2	?                 8  LMDZINCA_v2 config
+#-C- LMDZINCA_v2  IOIPSL/tags/v2_1_3/src                HEAD              8   IOIPSL/src  modeles
+#-C- LMDZINCA_v2  tags/v3_2_1/INCA3                     ?                 9   .           modeles
+#-C- LMDZINCA_v2  LMDZ4                                 LMDZ4_V3_patches  3   .           modeles
+#-C- LMDZINCA_v2  tags/libIGCM_v1_1                     ?                 10  libIGCM     .
+#-C- LMDZINCA_v2  CONFIG/tags/LMDZINCA_v2/LMDZINCA_v2_2 ?                 8   LMDZINCA_v2 config
 #-
 #-H- LMDZINCA_v3  LMDZ with INCA :
@@ -292,9 +292,9 @@
 #-H- LMDZINCA_v3  libIGCM tag libIGCM_v1_1
 #-M- LMDZINCA_v3  Anne.Cozic@lsce.ipsl.fr
-#-C- LMDZINCA_v3  IOIPSL/tags/v2_1_5/src    		 HEAD              8  IOIPSL/src  modeles
-#-C- LMDZINCA_v3  trunk/INCA3	         	     	 ?                 9   .          modeles
-#-C- LMDZINCA_v3  LMDZ4                     		 ?                 3   .          modeles
-#-C- LMDZINCA_v3  tags/libIGCM_v1_1                      ?                 10  libIGCM    .
-#-C- LMDZINCA_v3  CONFIG/branches/LMDZINCA/LMDZINCA_v3_0 ?                 8  LMDZINCA_v3 config
+#-C- LMDZINCA_v3  IOIPSL/tags/v2_1_5/src                 HEAD              8   IOIPSL/src  modeles
+#-C- LMDZINCA_v3  branches/branche_omp_valid/INCA3       ?                 9   .           modeles
+#-C- LMDZINCA_v3  LMDZ4                                  ?                 3   .           modeles
+#-C- LMDZINCA_v3  tags/libIGCM_v1_1                      ?                 10  libIGCM     .
+#-C- LMDZINCA_v3  CONFIG/branches/LMDZINCA/LMDZINCA_v3_0 ?                 8   LMDZINCA_v3 config
 #-
 #-H- IPSL_ESM_V1  IPSL_ESM_V1 configuration with parallel LMDZ4 ORCHIDEE and INCA
@@ -309,14 +309,14 @@
 #-H- IPSL_ESM_V1  IPSLCM4_v2 svn new scripts     
 #-M- IPSL_ESM_V1  anne.cozic@lsce.ipsl.fr 
-#-C- IPSL_ESM_V1  IOIPSL/tags/v2_1_3/src       		HEAD              8 IOIPSL/src  modeles
-#-C- IPSL_ESM_V1  ORCHIDEE                     		orchidee_1_9_2    2 .           modeles
-#-C- IPSL_ESM_V1  OASIS3                       		?                 1 prism       .
-#-C- IPSL_ESM_V1  LMDZ4                        		LMDZ4_V3_patches  3 .           modeles
-#-C- IPSL_ESM_V1  tags/v3_2_1/INCA3   	       		?                 9 .           modeles
-#-C- IPSL_ESM_V1  CONFIG/tags/IPSL_ESM_V1/IPSL_ESM_V1_2	?                 8 IPSL_ESM_V1 config
-#-C- IPSL_ESM_V1  tags/libIGCM_v1_1                     ?                 10 libIGCM .
-#-C- IPSL_ESM_V1  OPA/SRC_ORCA                 		ipsl_cm4_v2       4 .           modeles
-#-C- IPSL_ESM_V1  OPA/SRC_UCL                  		ipsl_cm4_v2       4 .           modeles
-#-C- IPSL_ESM_V1  UTIL/fait_AA_make            		ipsl_cm4_v1_8     4 .           modeles
+#-C- IPSL_ESM_V1  IOIPSL/tags/v2_1_3/src       	        HEAD              8 IOIPSL/src  modeles
+#-C- IPSL_ESM_V1  ORCHIDEE                              orchidee_1_9_2    2 .           modeles
+#-C- IPSL_ESM_V1  OASIS3                                ?                 1 prism       .
+#-C- IPSL_ESM_V1  LMDZ4                                 LMDZ4_V3_patches  3 .           modeles
+#-C- IPSL_ESM_V1  tags/v3_2_1/INCA3                     ?                 9 .           modeles
+#-C- IPSL_ESM_V1  CONFIG/tags/IPSL_ESM_V1/IPSL_ESM_V1_2 ?                 8 IPSL_ESM_V1 config
+#-C- IPSL_ESM_V1  tags/libIGCM_v1_1                     ?                 10 libIGCM    .
+#-C- IPSL_ESM_V1  OPA/SRC_ORCA                          ipsl_cm4_v2       4 .           modeles
+#-C- IPSL_ESM_V1  OPA/SRC_UCL                  	        ipsl_cm4_v2       4 .           modeles
+#-C- IPSL_ESM_V1  UTIL/fait_AA_make            	        ipsl_cm4_v1_8     4 .           modeles
 #-
 #-H- ORCA2  ORCA 2 degrees - no ice model