Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make	(revision 473)
@@ -25,5 +25,5 @@
 
 liborchidee :
-	(cd ../../modeles/ORCHIDEE/ ; $(M_K) -f Makefile)
+	(cd ../../modeles/ORCHIDEE/ ; ./configure_orchidee -p MPI -arch $(FCM_ARCH) ; fcm build ; ln -sf ../modeles/ORCHIDEE/lib/liborglob.a ../../lib ; ln -sf ../modeles/ORCHIDEE/lib/libparallel.a ../../lib ; ln -sf ../modeles/ORCHIDEE/lib/libsechiba.a ../../lib ; ln -sf ../modeles/ORCHIDEE/lib/libstomate.a  ../../lib ; ln -sf ../modeles/ORCHIDEE/lib/libparameters.a ../../lib ; ln -sf ../modeles/ORCHIDEE/lib/liborchidee.a ../../lib ; ln -sf ../modeles/ORCHIDEE/lib/intersurf.mod ../../lib )
 
 precsechiba :
@@ -43,14 +43,14 @@
 lmdz7245:
 	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 72x45x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_72x45x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 72x45x19 -v true -parallel true -m $(FCM_ARCH) gcm ; cp bin/gcm_72x45x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 72x45x19 -v true -parallel mpi -m $(FCM_ARCH) gcm ; cp bin/gcm_72x45x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
 lmdz9671:
 	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x71x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x71x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x71x19 -v true -parallel true -m $(FCM_ARCH) gcm ; cp bin/gcm_96x71x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x71x19 -v true -parallel mpi -m $(FCM_ARCH) gcm ; cp bin/gcm_96x71x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
 lmdz14496:
 	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x96x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_144x96x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x96x1 -v true -parallel true -m $(FCM_ARCH) gcm ; cp bin/gcm_144x96x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x96x1 -v true -parallel mpi -m $(FCM_ARCH) gcm ; cp bin/gcm_144x96x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
 lmdz144142:
 	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x142x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_144x142x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x142x19 -v true -parallel true -m $(FCM_ARCH) gcm ; cp bin/gcm_144x142x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x142x19 -v true -parallel mpi -m $(FCM_ARCH) gcm ; cp bin/gcm_144x142x19_t4_phylmd_para_orch.e ../../bin/gcm.e ; )
 
 verif:
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/COMP/lmdz.card
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/COMP/lmdz.card	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/COMP/lmdz.card	(revision 473)
@@ -14,6 +14,6 @@
 	(${R_INIT}/ATM/${config_UserChoices_TagName}/Rugos.nc, .), \
 	(${R_INIT}/ATM/${config_UserChoices_TagName}/landiceref.nc, .) \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/amipbc_sst_1x1_clim.nc, amipbc_sst_1x1.nc), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/amipbc_sic_1x1_clim.nc, amipbc_sic_1x1.nc)
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/sst_bc_clim.nc, amipbc_sst_1x1.nc), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/sic_bc_clim.nc, amipbc_sic_1x1.nc)
 
 [BoundaryFiles]
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/COMP/lmdz.card_Interannuel
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/COMP/lmdz.card_Interannuel	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/COMP/lmdz.card_Interannuel	(revision 473)
@@ -10,6 +10,6 @@
 
 [BoundaryFiles]
-List=   (${R_INIT}/ATM/${config_UserChoices_TagName}/Amip6/amipbc_sst_360x180_${year}.nc, amipbc_sst_1x1.nc), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/Amip6/amipbc_sic_360x180_${year}.nc, amipbc_sic_1x1.nc)
+List=   (${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/amipbc_sst_360x180_${year}.nc, amipbc_sst_1x1.nc), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/amipbc_sic_360x180_${year}.nc, amipbc_sic_1x1.nc)
 
 ListNonDel= (${R_INIT}/ATM/${config_UserChoices_TagName}/Albedo.nc, .), \
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/PARAM/physiq.def
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/PARAM/physiq.def	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/PARAM/physiq.def	(revision 473)
@@ -1,172 +1,1 @@
-# $Id$
-#
-### OCEAN = force / slab  /couple
-OCEAN=force
-### VEGET= y si ORCHIDEE, =n si bucket
-VEGET=n
-#
-# Parametres fichiers de sortie
-#
-### type_run = type run par rapport aux fichiers et variables de sortie
-# - type_run = CLIM/ENSP (=1)
-# - type_run = AMIP/CFMI (=2)
-type_run=AMIP
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
-#
-# Parametres niveau de sorties differents fichiers 
-#
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=2
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=2
-### ecrit_hf = frequence ecriture fichier histhf.nc en jours
-ecrit_hf=0.250
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=30.
-### freqin_isccp = frequence input en secondes du simulateur ISCCP
-freq_ISCCP=10800.
-### freqout_isccp = frequence output en jours du simulateur ISCCP
-ecrit_ISCCP=30.
-### niveau du diagnostique de conservation d energie
-if_ebil=0
-#
-# parametres KE
-#
-### epmax = Efficacite precipitation maximale
-epmax = .99
-### ok_adj_ema = ?? pas utilise
-ok_adj_ema = n
-### iflag_clw Flag calcul eau liquide
-# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
-# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
-# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
-iflag_clw = 1
-# 
-# parametres nuages
-#
-### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
-cld_lc_lsc = 2.6e-4
-### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
-cld_lc_con = 2.6e-4
-### cld_tau_lsc  cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
-cld_tau_lsc = 3600.
-### cld_tau_con  cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
-cld_tau_con = 3600.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
-ffallv_lsc = 1.
-### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
-ffallv_con = 1.
-### coef_eva  coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?) 
-coef_eva = 2.e-5
-### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
-reevap_ice = y
-### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
-# - iflag_cldcon<=-1 diag. rain_Tiedtke 
-# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
-# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
-# - iflag_cldcon=3,   ratqs=ratqss
-iflag_cldcon = 3
-### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
-# - iflag_pdf=0, version ratqs, 
-# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
-# -              des PDFS de Sandrine Bony 
-iflag_pdf = 1
-### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
-fact_cldcon = 1.
-### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
-facttemps = 1.e-4
-## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
-ok_newmicro = y
-### ratqsbas     ratqs en bas si iflag_cldcon=1 
-ratqsbas = 0.005
-### ratqshaut    ratqs en haut pour ratqss "stables"  
-ratqshaut = 0.33
-### rad_froid    rayon cristaux des nuages de glace "froids" 
-rad_froid = 35
-### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
-rad_chau1=12
-### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
-rad_chau2=11
-## ksta_ter      coef.diffusion minimale sur terre/sic/lic 
-ksta_ter=1.e-7
-### cdmmax =     cdrag maximum pour le moment
-cdmmax = 2.5E-3
-### cdhmax =     cdrag maximum pour l energie
-cdhmax = 2.0E-3
-#
-# Parametres "orbitaux/ ere geologique"
-#
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
-solaire = 1365.
-#
-# Taux gaz a effet de serre
-#
-### co2_ppm =    taux CO2 en ppm
-co2_ppm = 348.
-### CH4_ppb =    taux CH4 en ppb
-CH4_ppb = 1650.
-### N2O_ppb =    taux N2O en ppb
-N2O_ppb = 306.
-### CFC11_ppt =  taux CFC11 en ppt
-CFC11_ppt = 280.
-### CFC12_ppt =  taux CFC12 en ppt
-CFC12_ppt = 484.
-#
-# Parametres effets directs/indirects des "aerosols"
-#
-### ok_ade=y/n   flag Aerosol direct effect
-ok_ade=n
-### ok_aie=y/n   flag Aerosol indirect effect
-ok_aie=n
-### aer_type =   Aerosol variation type : actuel / preind / scenario
-aer_type=actuel
-### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b0=1.7
-### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
-bl95_b1=0.2
-#
-# Parametres simulateur ISCCP
-#
-### ok_isccp=y/n flag simulateur ISCCP
-ok_isccp=n
-### top_height = flag choix calcul nuages par le simulateur en utilisant 
-# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
-# - top_height = 1 -> algo IR-VIS
-# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
-# - top_height = 3 -> algo IR
-top_height = 1
-### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
-# - overlap=1    Max overlap
-# - overlap=2    Random overlap
-# - overlap=3    Max/Random overlap
-overlap = 3
+link ../../LMDZOR/PARAM/physiq.def
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/PARAM/run.def
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/PARAM/run.def	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/PARAM/run.def	(revision 473)
@@ -1,20 +1,1 @@
-#
-# $Header: /home/ioipsl/CVSROOT/LMDZ4OR/CLIM_CREATE/PARAM/run.def,v 1.1 2006/12/21 10:17:35 adm Exp $
-#
-INCLUDEDEF=physiq.def
-INCLUDEDEF=gcm.def
-#INCLUDEDEF=orchidee.def
-## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
-dayref=_dayref_
-##  Annee de l'etat  initial (   avec  4  chiffres   )
-anneeref=_anneeref_
-## Nombre de jours d'integration
-nday=_nday_
-## Remise a zero de la date initiale
-raz_date=_raz_date_
-## periode de sortie des variables de controle (en pas)
-iconser=240
-## periode d'ecriture du fichier histoire (en jour)
-iecri=1
-## periode de stockage fichier histmoy (en jour)
-periodav=1.
+link ../../LMDZOR/PARAM/run.def
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card	(revision 473)
@@ -12,5 +12,5 @@
 JobName= ELC-${RESOL}
 LongName="create_etat0_limit for climatology run'
-TagName=LMDZ4OR_v2
+TagName=LMDZOR
 #============================
 #D-- leap, noleap, 360d
@@ -28,5 +28,5 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ4_V3_4)
+ATM= (lmdz, LMDZ4)
 
 #========================================================================
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card_Interannuel
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card_Interannuel	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card_Interannuel	(revision 473)
@@ -12,5 +12,5 @@
 JobName=ELI-${RESOL}
 LongName='create_etat0_limit for interannuel run'
-TagName=LMDZ4OR_v2
+TagName=LMDZOR
 #============================
 #D-- leap, noleap, 360d
@@ -18,6 +18,6 @@
 #D-- Début et fin de Job
 #D-- "YYYY-MM-DD"
-DateBegin=1956-01-01
-DateEnd=2005-12-30
+DateBegin=1870-01-01
+DateEnd=2007-12-30
 #============================
 #D-- 1Y, 1M, 5D, 1D
@@ -30,5 +30,5 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ4_V3_4)
+ATM= (lmdz, LMDZ4)
 
 #========================================================================
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD144142
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD144142	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD144142	(revision 473)
@@ -44,6 +44,6 @@
 ## Nombre  d'appels des routines de rayonnements ( par jour)                 
 nbapp_rad=12
-##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
-iflag_con=3
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=30
 ##  Facteur multiplication des precip convectives dans KE
 cvl_corr=1.002
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD14496
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD14496	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD14496	(revision 473)
@@ -44,6 +44,6 @@
 ## Nombre  d'appels des routines de rayonnements ( par jour)                 
 nbapp_rad=12
-##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
-iflag_con=3
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=30
 ## Facteur multiplication des precip convectives dans KE
 cvl_corr=1.0
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD7245
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD7245	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD7245	(revision 473)
@@ -44,6 +44,6 @@
 ## Nombre  d'appels des routines de rayonnements ( par jour)                 
 nbapp_rad=12
-##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
-iflag_con=3
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=30
 ## longitude en degres du centre du zoom                                 
 clon=0.
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD9671
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD9671	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_LMD9671	(revision 473)
@@ -44,6 +44,6 @@
 ## Nombre  d'appels des routines de rayonnements ( par jour)                 
 nbapp_rad=12
-##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
-iflag_con=3
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=30
 ## Facteur multiplication des precip convectives dans KE
 cvl_corr=1.0
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def	(revision 473)
@@ -1,6 +1,6 @@
 # $Id$
 #
-### OCEAN = force / slab  /couple
-OCEAN=force
+### type_ocean = force / slab  /couple
+type_ocean=force
 ### VEGET= y si ORCHIDEE, =n si bucket
 VEGET=y
@@ -106,4 +106,6 @@
 ### ratqshaut    ratqs en haut pour ratqss "stables"  
 ratqshaut = 0.33
+### iflag_ratqs=0 correspond a la version IPCC AR4
+iflag_ratqs = 0
 ### rad_froid    rayon cristaux des nuages de glace "froids" 
 rad_froid = 35
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/config.card
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/config.card	(revision 472)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/config.card	(revision 473)
@@ -11,6 +11,6 @@
 #-- (<8 chars MAX for JobName)
 JobName=LMDZOR01
-LongName="Configuration de LMDZ4OR qui corresponde au version force de IPSLCM4_v2"
-TagName=LMDZ4OR_v2
+LongName="Configuration de LMDZ4OR qui utilise le trunk de LMDZ4"
+TagName=LMDZOR
 #============================
 #-- leap, noleap, 360d
@@ -19,5 +19,5 @@
 #-- "YYYY-MM-DD"
 DateBegin=1980-01-01
-DateEnd=1989-12-30
+DateEnd=1980-02-30
 #============================
 #-- 1Y, 1M, 5D, 1D
@@ -37,6 +37,6 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ4_V3_4)
-SRF= (orchidee, orchidee_1_9_2)
+ATM= (lmdz, LMDZ4)
+SRF= (orchidee, orchidee_1_9_2_OMP)
 
 #========================================================================
@@ -85,5 +85,5 @@
 # Define restart simulation name
 RestartJobName=2L18
-RestartPath=${ARCHIVE}/IGCM_OUT/LMDz4OR_v2
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDZOR
 # Old component name for restart (if empty, use new name)
 OldName=
@@ -98,5 +98,5 @@
 # Define restart simulation name
 RestartJobName=2L18
-RestartPath=${ARCHIVE}/IGCM_OUT/LMDz4OR_v2
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDZOR
 #-- Old component name for restart (if empty, use new name)
 OldName=