Index: CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD144142
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD144142	(revision 448)
+++ CONFIG/IPSLCM/IPSLCM5/trunk/EXP00/PARAM/namcouple_ORCA2xLMD144142	(revision 483)
@@ -108,5 +108,5 @@
 # Field 1 : Weighted sea surface temperature (o->a 1)
 #
-O_SSTSST SISUTESW 1 86400  5  sstoc.nc  EXPORTED 
+O_SSTSST SISUTESW 1 86400  5  sstoc.nc  <output_mode> 
 torc  tlmd  LAG=5760
 P  2 P  0
@@ -127,5 +127,5 @@
 # Field 2 : Sea ice extent  (o->a 2)
 #
-OIceFrac SIICECOV 2 86400  5  sstoc.nc EXPORTED
+OIceFrac SIICECOV 2 86400  5  sstoc.nc <output_mode>
 torc  tlmd   LAG=5760
 P  2 P  0
@@ -145,5 +145,5 @@
 # Field 3 : Weighted Sea Ice Temperature (o->a 3)
 #
-O_TepIce SIICTEMW 34 86400  5  sstoc.nc  EXPORTED
+O_TepIce SIICTEMW 34 86400  5  sstoc.nc  <output_mode>
 torc  tlmd   LAG=5760
 P  2 P  0
@@ -162,5 +162,5 @@
 # Field 4 : Weighted Sea ice albedo (o->a 4)
 #
-O_AlbIce  SIICEALW 17 86400  5  sstoc.nc  EXPORTED
+O_AlbIce  SIICEALW 17 86400  5  sstoc.nc  <output_mode>
 torc  tlmd  LAG=5760  
 P  2 P  0
@@ -183,5 +183,5 @@
 # Field 5 : wind stress along X axis (a->o tau 1)
 #
-COTAUXXU O_OTaux1 23 86400  6  flxat.nc   EXPORTED
+COTAUXXU O_OTaux1 23 86400  6  flxat.nc   <output_mode>
 tlmd    uorc  LAG=1800 
 P  0 P  2
@@ -203,5 +203,5 @@
 # Field 6 : stress along Y axis (a->o tau 1)
 #
-COTAUYYU O_OTauy1 23 86400  6  flxat.nc  EXPORTED
+COTAUYYU O_OTauy1 23 86400  6  flxat.nc  <output_mode>
 tlmd    uorc  LAG=1800 
 P  0 P  2
@@ -223,5 +223,5 @@
 # Field 7 :wind stress along Z axis (a->o tau 1)
 #
-COTAUZZU O_OTauz1 23 86400  6  flxat.nc  EXPORTED
+COTAUZZU O_OTauz1 23 86400  6  flxat.nc  <output_mode>
 tlmd    uorc  LAG=1800 
 P  0 P  2
@@ -243,5 +243,5 @@
 # Field 8 : wind stress along X axis 2 (a->o tau 2)
 #
-COTAUXXV O_OTaux2 24 86400  6    flxat.nc  EXPORTED
+COTAUXXV O_OTaux2 24 86400  6    flxat.nc  <output_mode>
 tlmd    vorc  LAG=1800 
 P  0 P  2
@@ -263,5 +263,5 @@
 # Field 9 : wind stress along Y axis 2 (a->o tau 2) 
 #
-COTAUYYV O_OTauy2 24 86400  6    flxat.nc  EXPORTED
+COTAUYYV O_OTauy2 24 86400  6    flxat.nc  <output_mode>
 tlmd    vorc  LAG=1800
 P  0 P  2
@@ -283,5 +283,5 @@
 # Field 10 :  wind stress along Z axis 2 (a->o tau 2) 
 #
-COTAUZZV O_OTauz2 24 86400  6    flxat.nc  EXPORTED
+COTAUZZV O_OTauz2 24 86400  6    flxat.nc  <output_mode>
 tlmd    vorc  LAG=1800
 P  0 P  2
@@ -303,5 +303,5 @@
 # Field 11 : 10-m wind speed (a->o tau 2) 
 #
-COWINDSP O_Wind10 36 86400  6    flxat.nc EXPORTED
+COWINDSP O_Wind10 36 86400  6    flxat.nc <output_mode>
 tlmd  torc LAG=1800
 P  0 P  2
@@ -323,5 +323,5 @@
 # Field 12 : emp_ice = evap_ice - ( rain_ice + snow_ice ) (a->o flx 7)
 #
-COPEFWAT OPre-Sub 25 86400  4   flxat.nc   EXPORTED
+COPEFWAT OPre-Sub 25 86400  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -339,5 +339,5 @@
 # Field 13 :  sprecip = evap_ice - snow_ice (o->a flx 6)
 #
-COPEFICE  OISub-Sn 25 86400  4   flxat.nc   EXPORTED
+COPEFICE  OISub-Sn 25 86400  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -355,5 +355,5 @@
 # Field 14 : emp = emp_oce = evap_oce - ( rain_oce + snow_oce ) (a->o flx 9)
 #
-COTOSPSU  OOEva-Pr 28 86400  4   flxat.nc   EXPORTED
+COTOSPSU  OOEva-Pr 28 86400  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -371,5 +371,5 @@
 # Field 15 : Evaporation Ice  (a->o flx 8)
 #
-COICEVAP OIceEvap 27 86400  4   flxat.nc   EXPORTED
+COICEVAP OIceEvap 27 86400  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -387,5 +387,5 @@
 # Field 16 : solar heat flux on ocean (a->o flx 2)
 #
-COSWFLDO O_QsrOce  7 86400 4   flxat.nc  EXPORTED
+COSWFLDO O_QsrOce  7 86400 4   flxat.nc  <output_mode>
 tlmd    torc  LAG=1800
 P  0 P  2
@@ -403,5 +403,5 @@
 # Field 17 : Non solar heat flux on ocean (a->o flx 4)
 #
-CONSFLDO O_QnsOce 6 86400  4   flxat.nc  EXPORTED
+CONSFLDO O_QnsOce 6 86400  4   flxat.nc  <output_mode>
 tlmd    torc   LAG=1800
 P  0 P  2
@@ -419,5 +419,5 @@
 # Field 18 : solar heat flux on ice (a->o flx 1)
 #
-COSHFLIC O_QsrIce  7 86400 4   flxat.nc  EXPORTED
+COSHFLIC O_QsrIce  7 86400 4   flxat.nc  <output_mode>
 tlmd    torc  LAG=1800
 P  0 P  2
@@ -435,5 +435,5 @@
 # Field 19 : Non solar heat flux on ice (a->o flx 3)
 #
-CONSFLIC O_QnsIce 6 86400  4  flxat.nc  EXPORTED
+CONSFLIC O_QnsIce 6 86400  4  flxat.nc  <output_mode>
 tlmd    torc  LAG=1800
 P  0 P  2
@@ -451,5 +451,5 @@
 # Field 20 : Non solar heat flux derivative (o->a flx 5)
 #
-CODFLXDT O_dQnsdT  35 86400  4   flxat.nc  EXPORTED
+CODFLXDT O_dQnsdT  35 86400  4   flxat.nc  <output_mode>
 tlmd    torc  LAG=1800
 P  0 P  2
@@ -467,5 +467,5 @@
 # Field 21 : iceberg calving (a->o flx 12)
 #
-CRWOCEIS OCalving  32 86400  4  flxat.nc  EXPORTED
+CRWOCEIS OCalving  32 86400  4  flxat.nc  <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2
@@ -483,5 +483,5 @@
 # Field 22 : run-off (a->o flx 11)
 #
-CRWOCERD  O_Runoff 32 86400  5  flxat.nc   EXPORTED
+CRWOCERD  O_Runoff 32 86400  5  flxat.nc   <output_mode>
 tlmd    torc  LAG=1800 
 P  0 P  2