Index: CONFIG/LMDZINCA/trunk/CREATE/COMP/lmdz.card
===================================================================
--- CONFIG/LMDZINCA/trunk/CREATE/COMP/lmdz.card	(revision 493)
+++ CONFIG/LMDZINCA/trunk/CREATE/COMP/lmdz.card	(revision 493)
@@ -0,0 +1,37 @@
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=   (${R_INIT}/ATM/${config_UserChoices_TagName}/Amip6/amipbc_sst_360x180_${year}.nc, amipbc_sst_1x1.nc), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/Amip6/amipbc_sic_360x180_${year}.nc, amipbc_sic_1x1.nc)
+ListNonDel= (${R_INIT}/ATM/${config_UserChoices_TagName}/Albedo.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/ECDYN.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/ECPHY.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/Relief.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/Rugos.nc, .), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/landiceref.nc, .)
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/physiq.def, .), \
+	(${SUBMIT_DIR}/PARAM/gcm.def, gcm.def), \
+	(${SUBMIT_DIR}/PARAM/run.def, .), \
+	(${SUBMIT_DIR}/PARAM/traceur.def, .) 
+
+[RestartFiles]
+List=	(start.nc, start.nc, start.nc), \
+	(startphy.nc, startphy.nc,  startphy.nc), \
+	(limit.nc, limit.nc,  limit.nc)
+
+[OutputText]
+List=   (ftrace.out.1.0)
+
+[OutputFiles]
+List=	()
+
Index: CONFIG/LMDZINCA/trunk/CREATE/COMP/lmdz.driver
===================================================================
--- CONFIG/LMDZINCA/trunk/CREATE/COMP/lmdz.driver	(revision 493)
+++ CONFIG/LMDZINCA/trunk/CREATE/COMP/lmdz.driver	(revision 493)
@@ -0,0 +1,96 @@
+#!/bin/ksh
+
+#-----------------------------------------------------------------
+function ATM_Initialize
+{
+    IGCM_debug_PushStack "ATM_Initialize"
+
+    RESOL_ATM=${RESOL}
+
+    ##--Frequency purpose ....
+    ##--  Initialisation  ....
+    OK_instan=n
+    ##-- 
+    OK_journe=n
+    OK_mensuel=n
+
+    case ${config_UserChoices_PeriodLength} in
+	1Y|1y|1M|1m) OK_mensuel=y ;;
+	5D|5d|1D|1d) OK_journe=y ;;
+    esac
+
+    for frequency in ${config_ATM_WriteFrequency} ; do
+	case ${frequency} in
+	    5D|5d|1D|1d) OK_journe=y ;;
+	esac
+    done
+
+    ##--Variables used by LMDZ --
+    PAT_INST=$(     grep 'OK_instan'   ${SUBMIT_DIR}/PARAM/physiq.def )
+    PAT_JOUR=$(     grep 'OK_journe'   ${SUBMIT_DIR}/PARAM/physiq.def )
+    PAT_MOIS=$(     grep 'OK_mensuel'  ${SUBMIT_DIR}/PARAM/physiq.def )
+
+    PAT_iphysiq=$(  grep 'iphysiq'     ${SUBMIT_DIR}/PARAM/gcm.def )
+    PAT_iperiod=$(  grep 'iperiod'     ${SUBMIT_DIR}/PARAM/gcm.def | tail -1)
+    PAT_day_step=$( grep 'day_step'    ${SUBMIT_DIR}/PARAM/gcm.def )
+    PAT_ecritphy=$( grep 'ecritphy'    ${SUBMIT_DIR}/PARAM/gcm.def )
+
+    ##-- This could be define in lmdz.card, inside section [UserChoices]
+    ##-- Otherwise we get the value in *.def
+    iperiod=$(grep iperiod ${SUBMIT_DIR}/PARAM/gcm.def | awk -F= '{print $2}' | tail -1)
+    iphysiq=$(grep iphysiq ${SUBMIT_DIR}/PARAM/gcm.def | awk -F= '{print $2}')
+    # day_step : number of steps per day (multiple of iperiod)
+    (( day_step = 48 * iphysiq ))
+
+    IGCM_debug_PopStack "ATM_Initialize"
+}
+
+#-----------------------------------------------------------------
+function ATM_Update
+{
+    IGCM_debug_PushStack "ATM_Update"
+
+    ecritphy=${PeriodLengthInDays}
+
+    ##-- Remise ou non a zero de la date initiale de LMDZ pour le fichier run.def
+    if [ ${CumulPeriod} -eq 1 ] ; then
+	RAZ_DATE=1
+    else
+	RAZ_DATE=0
+    fi
+
+    ## Mise en forme du fichier physiq.def
+    sed -e "s/OK_instan=.*/OK_instan=${OK_instan}/"   \
+	-e "s/OK_journe=.*/OK_journe=${OK_journe}/"   \
+	-e "s/OK_mensuel=.*/OK_mensuel=${OK_mensuel}/" \
+	physiq.def > physiq.def.tmp
+    IGCM_sys_Mv physiq.def.tmp physiq.def
+
+    ## Mise en forme du fichier gcm.def
+    sed  -e "s/${PAT_ecritphy}/ecritphy=${ecritphy}/" \
+	-e "s/${PAT_day_step}/day_step=${day_step}/" \
+	-e "s/${PAT_iperiod}/iperiod=${iperiod}/" \
+	-e "s/${PAT_iphysiq}/iphysiq=${iphysiq}/" \
+	gcm.def > gcm.def.tmp
+    IGCM_sys_Mv gcm.def.tmp gcm.def
+
+    ## Mise en forme du fichier run.def
+    sed -e "s/_dayref_/${InitDay}/" \
+	-e "s/_anneeref_/${InitYear}/" \
+	-e "s/_nday_/${PeriodLengthInDays}/" \
+	-e "s/_raz_date_/${RAZ_DATE}/" \
+	run.def > run.def.tmp
+    IGCM_sys_Mv run.def.tmp run.def
+
+    IGCM_debug_PopStack "ATM_Update"
+}
+
+#-----------------------------------
+function ATM_Finalize
+{
+    IGCM_debug_PushStack "ATM_Finalize"
+
+    echo FINALIZE ATM !
+
+    IGCM_debug_PopStack "ATM_Finalize"
+}
Index: CONFIG/LMDZINCA/trunk/CREATE/PARAM/gcm.def
===================================================================
--- CONFIG/LMDZINCA/trunk/CREATE/PARAM/gcm.def	(revision 493)
+++ CONFIG/LMDZINCA/trunk/CREATE/PARAM/gcm.def	(revision 493)
@@ -0,0 +1,72 @@
+## $Id: gcm.def 71 2007-06-21 14:26:03Z acosce $
+## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )
+day_step=480
+## periode pour le pas Matsuno (en pas)
+iperiod=5
+## periode de la dissipation (en pas)
+idissip=10
+## choix de l'operateur de dissipation (star ou  non star )
+lstardis=y
+## nombre d'iterations de l'operateur de dissipation   gradiv
+nitergdiv=1
+## nombre d'iterations de l'operateur de dissipation  nxgradrot
+nitergrot=2
+## nombre d'iterations de l'operateur de dissipation  divgrad            
+niterh=2
+## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+tetagdiv=3600.
+## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+tetagrot=3600.
+## temps de dissipation des plus petites long.d ondes pour  h ( divgrad)
+tetatemp=3600.
+## coefficient pour gamdissip                                            
+coefdis=0.
+## choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog)
+purmats=n
+## guide ou pas
+ok_guide=.false.
+## utilisation de restart de la version LMDZ3
+old_restart=
+## avec ou sans physique
+##physic=n
+iflag_phys=1
+## periode de la physique (en pas)
+iphysiq=10
+## frequence (en  jours ) de l'ecriture du fichier histphy               
+ecritphy=1
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+## Nombre  d'appels des routines de rayonnements ( par jour)
+nbapp_rad=12
+##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
+iflag_con=2
+## longitude en degres du centre du zoom
+clon=0.
+## latitude en degres du centre du zoom
+clat=0.
+## facteur de grossissement du zoom,selon longitude
+grossismx=1.0
+## facteur de grossissement du zoom ,selon latitude
+grossismy=1.0
+##  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale
+fxyhypb=y
+## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+dzoomx=0.0
+## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+dzoomy=0.0
+##raideur du zoom en  X
+taux=3.
+##raideur du zoom en  Y
+tauy=3.
+##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.
+ysinus=y  
Index: CONFIG/LMDZINCA/trunk/CREATE/PARAM/physiq.def
===================================================================
--- CONFIG/LMDZINCA/trunk/CREATE/PARAM/physiq.def	(revision 493)
+++ CONFIG/LMDZINCA/trunk/CREATE/PARAM/physiq.def	(revision 493)
@@ -0,0 +1,80 @@
+##- $Id: physiq.def 71 2007-06-21 14:26:03Z acosce $
+OCEAN=force 
+VEGET=n
+OK_journe=n
+OK_mensuel=y
+OK_instan=n
+if_ebil=0
+#
+# parametres KE
+#
+epmax = .99
+ok_adj_ema = n
+iflag_clw = 1
+# 
+# parametres nuages
+#
+cld_lc_lsc = 0.00026
+cld_lc_con = 0.00026
+cld_tau_lsc = 3600.
+cld_tau_con = 3600.
+ffallv_lsc = 1.
+ffallv_con = 1.
+coef_eva = 0.00002
+reevap_ice = y
+iflag_cldcon = 3
+iflag_pdf = 1
+fact_cldcon = 1.
+#facttemps = 1.e-4
+facttemps = 0.0001
+ok_newmicro = y
+ratqsbas = 0.005
+ratqshaut = 0.33
+rad_froid = 35
+rad_chau1=12
+rad_chau2=11
+#ksta_ter=1.e-7
+ksta_ter=0.0000001
+#
+# parametres outputs
+#
+#niveau de sortie "hf" lev_histhf avec
+# - lev_histhf=3 => defaut
+# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele
+lev_histhf=3
+#niveau de sortie "day" lev_histday
+# - lev_histday=2 => defaut
+# - lev_histday=3 => + champs 3D => F. Lott
+# - lev_histday=4 => + champs sous-surfaces
+lev_histday=2
+#niveau de sortie "mth" lev_histmth avec
+# - lev_histmth=2 => defaut
+# - lev_histmth=3 => albedo, rugosite sous-surfaces
+# - lev_histmth=4 => champs tendances 3d
+lev_histmth=4
+#
+# parametres climatique
+#
+R_ecc = 0.016715
+R_peri = 102.7
+R_incl = 23.441
+solaire = 1365.
+co2_ppm = 348.
+CH4_ppb = 1650.
+N2O_ppb = 306.
+CFC11_ppt = 280.
+CFC12_ppt = 484.
+#
+# parametres simulateur ISCCP
+#
+top_height = 3
+#overlap = 1, 2 ou 3
+overlap = 3
+#cdmmax
+#cdmmax = 2.5E-3
+cdmmax = 0.0025
+#cdhmax
+#cdhmax = 2.0E-3
+cdhmax = 0.002
+iflag_pbl = 1
+iflag_thermals = 0
Index: CONFIG/LMDZINCA/trunk/CREATE/PARAM/run.def
===================================================================
--- CONFIG/LMDZINCA/trunk/CREATE/PARAM/run.def	(revision 493)
+++ CONFIG/LMDZINCA/trunk/CREATE/PARAM/run.def	(revision 493)
@@ -0,0 +1,20 @@
+#
+# $Header: /home/ioipsl/CVSROOT/LMDZ4OR/CLIM_CREATE/PARAM/run.def,v 1.1 2006/12/21 10:17:35 adm Exp $
+#
+INCLUDEDEF=physiq.def
+INCLUDEDEF=gcm.def
+#INCLUDEDEF=orchidee.def
+## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
+dayref=_dayref_
+##  Annee de l'etat  initial (   avec  4  chiffres   )
+anneeref=_anneeref_
+## Nombre de jours d'integration
+nday=_nday_
+## Remise a zero de la date initiale
+raz_date=_raz_date_
+## periode de sortie des variables de controle (en pas)
+iconser=240
+## periode d'ecriture du fichier histoire (en jour)
+iecri=1
+## periode de stockage fichier histmoy (en jour)
+periodav=1.
Index: CONFIG/LMDZINCA/trunk/CREATE/PARAM/traceur.def
===================================================================
--- CONFIG/LMDZINCA/trunk/CREATE/PARAM/traceur.def	(revision 493)
+++ CONFIG/LMDZINCA/trunk/CREATE/PARAM/traceur.def	(revision 493)
@@ -0,0 +1,5 @@
+4
+14 14 H2Ov
+10 10 H2Ol
+10 10 RN
+10 10 PB
Index: CONFIG/LMDZINCA/trunk/CREATE/config.card
===================================================================
--- CONFIG/LMDZINCA/trunk/CREATE/config.card	(revision 493)
+++ CONFIG/LMDZINCA/trunk/CREATE/config.card	(revision 493)
@@ -0,0 +1,76 @@
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+#========================================================================
+#D-- UserChoices -
+[UserChoices]
+#============================
+#D-- (<8 chars MAX for JobName)
+JobName=CREATE_L
+LongName='Call for create_etat0_limit for AMIP run.'
+TagName=LMDZINCA
+#============================
+#D-- leap, noleap, 360d
+CalendarType=360d
+#D-- Début et fin de Job
+#D-- "YYYY-MM-DD"
+DateBegin=2000-01-01
+DateEnd=2005-12-30
+#============================
+#D-- 1Y, 1M, 5D, 1D
+PeriodLength=1Y
+#============================
+PeriodNb=50
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (lmdz, LMDZ4_V3_1)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=create_etat0_limit.e
+#D- For each component, Real name of executable, Name of executable for oasis
+ATM= (create_etat0_limit.e, create_etat0_limit.e)
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=
+#D- Define restart simulation name (=> JOB_OS)
+RestartJobName=
+#D- Path Server Group Login (=> PSGL)
+RestartPath=
+# Attention login depend de la machine
+
+#========================================================================
+#D-- ATM -
+[ATM]
+#
+WriteFrequency="1Y"
+# If config_Restarts_OverRule == 'n' all params are read
+Restart= n
+# Last day of the experience used as restart
+RestartDate=
+# Define restart simulation name
+RestartJobName=
+RestartPath=
+# Old component name for restart (if empty, use new name)
+OldName=
+
+
+#========================================================================
+#D-- NO Post -
+[Post]
+RebuildFrequency=
+MonitoringFrequency=
+TimeSeriesFrequency=
+SeasonalFrequency=
+#========================================================================