Index: /CONFIG/LMDZINCA/trunk/AA_make
===================================================================
--- /CONFIG/LMDZINCA/trunk/AA_make	(revision 500)
+++ /CONFIG/LMDZINCA/trunk/AA_make	(revision 500)
@@ -0,0 +1,73 @@
+#- $Id$
+ifneq ($(MAKECMDGOALS),$(shell cat .resol))
+ifneq ($(MAKECMDGOALS),)
+$(shell rm -rf ../../modeles/INCA3/config)
+$(shell rm -f ../../modeles/INCA3/src/INCA_PP/*)
+$(shell rm -rf ../../lib/* )
+endif
+endif
+
+
+all :
+	if [ -s ./.resol ] ; then gmake `cat .resol` ; else gmake AERxLMD9672 ; fi
+
+
+CH4_AERxLMD9672 : libioipsl inca3_lmdz9672_ch4aer
+	echo "CH4_AERxLMD9672" > .resol
+
+CH4xLMD9672 : libioipsl inca3_lmdz9672_ch4
+	echo "CH4xLMD9672" > .resol
+
+NMHCxLMD9672 : libioipsl inca3_lmdz9672_nmhc
+	echo "NMHCxLMD9672" > .resol
+
+NMHC_AERxLMD9672 : libioipsl inca3_lmdz9672_nmhcaer
+	echo "NMHC_AERxLMD9672" > .resol
+
+AERxLMD9672 : libioipsl inca3_lmdz9672_aer
+	echo "AERxLMD9672" > .resol
+
+GESxLMD9672 : libioipsl inca3_lmdz9672_ges
+	echo "GESxLMD9672" > .resol
+
+
+inca3_lmdz9672_aer : 
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie AER -parallel true -m $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )
+	(  cd ../../modeles/LMDZ4;  ./makegcm_fcm -d 96x72x19 -t 31 -v false -chimie AER -parallel false -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t31_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(  cd ../../modeles/LMDZ4;  ./makegcm_fcm -d 96x72x19 -t 31 -v false -chimie AER -parallel true -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t31_phylmd_para.e ../../bin/gcm.e ; )
+
+
+inca3_lmdz9672_ch4aer :
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie CH4_AER -parallel true -m $(FCM_ARCH); cp SIMULATIONS/CH4_AER/inca.dat ../../bin/inca.dat ; )
+	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 75 -v false -chimie CH4_AER -parallel false  -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t75_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 75 -v false -chimie CH4_AER -parallel true  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t75_phylmd_para.e ../../bin/gcm.e ; )
+
+inca3_lmdz9672_ch4 :
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie CH4 -parallel true -m $(FCM_ARCH); cp SIMULATIONS/CH4/inca.dat ../../bin/inca.dat ; )
+	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 45 -v false -chimie CH4 -parallel false  -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t45_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 45 -v false -chimie CH4 -parallel true  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t45_phylmd_para.e ../../bin/gcm.e ; )
+
+
+inca3_lmdz9672_nmhcaer :
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie NMHC_AER -parallel true -m $(FCM_ARCH); cp SIMULATIONS/NMHC_AER/inca.dat ../../bin/inca.dat ; )
+	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 119 -v false -chimie NMHC_AER -parallel false  -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t119_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 119 -v false -chimie NMHC_AER -parallel true  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t119_phylmd_para.e ../../bin/gcm.e ; )
+
+inca3_lmdz9672_nmhc :
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie NMHC -parallel true -m $(FCM_ARCH); cp SIMULATIONS/NMHC/inca.dat ../../bin/inca.dat ; )
+	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 89 -v false -chimie NMHC -parallel false  -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t89_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 89 -v false -chimie NMHC -parallel true  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t89_phylmd_para.e ../../bin/gcm.e ; )
+
+
+inca3_lmdz9672_ges :
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie GES -parallel true -m $(FCM_ARCH); cp SIMULATIONS/GES/inca.dat ../../bin/inca.dat ; )
+	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 13 -v false -chimie GES -parallel false  -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t13_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 13 -v false -chimie GES -parallel true  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t13_phylmd_para.e ../../bin/gcm.e ; )
+
+
+
+libioipsl :
+	(cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
+
+inca3 :
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie $(MAKECMDGOALS) -parallel true -m $(FCM_ARCH); ) 
Index: NFIG/trunk/LMDZINCA/AA_make
===================================================================
--- /CONFIG/trunk/LMDZINCA/AA_make	(revision 499)
+++ 	(revision )
@@ -1,73 +1,0 @@
-#- $Id$
-ifneq ($(MAKECMDGOALS),$(shell cat .resol))
-ifneq ($(MAKECMDGOALS),)
-$(shell rm -rf ../../modeles/INCA3/config)
-$(shell rm -f ../../modeles/INCA3/src/INCA_PP/*)
-$(shell rm -rf ../../lib/* )
-endif
-endif
-
-
-all :
-	if [ -s ./.resol ] ; then gmake `cat .resol` ; else gmake AERxLMD9672 ; fi
-
-
-CH4_AERxLMD9672 : libioipsl inca3_lmdz9672_ch4aer
-	echo "CH4_AERxLMD9672" > .resol
-
-CH4xLMD9672 : libioipsl inca3_lmdz9672_ch4
-	echo "CH4xLMD9672" > .resol
-
-NMHCxLMD9672 : libioipsl inca3_lmdz9672_nmhc
-	echo "NMHCxLMD9672" > .resol
-
-NMHC_AERxLMD9672 : libioipsl inca3_lmdz9672_nmhcaer
-	echo "NMHC_AERxLMD9672" > .resol
-
-AERxLMD9672 : libioipsl inca3_lmdz9672_aer
-	echo "AERxLMD9672" > .resol
-
-GESxLMD9672 : libioipsl inca3_lmdz9672_ges
-	echo "GESxLMD9672" > .resol
-
-
-inca3_lmdz9672_aer : 
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie AER -parallel true -m $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )
-	(  cd ../../modeles/LMDZ4;  ./makegcm_fcm -d 96x72x19 -t 31 -v false -chimie AER -parallel false -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t31_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(  cd ../../modeles/LMDZ4;  ./makegcm_fcm -d 96x72x19 -t 31 -v false -chimie AER -parallel true -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t31_phylmd_para.e ../../bin/gcm.e ; )
-
-
-inca3_lmdz9672_ch4aer :
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie CH4_AER -parallel true -m $(FCM_ARCH); cp SIMULATIONS/CH4_AER/inca.dat ../../bin/inca.dat ; )
-	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 75 -v false -chimie CH4_AER -parallel false  -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t75_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 75 -v false -chimie CH4_AER -parallel true  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t75_phylmd_para.e ../../bin/gcm.e ; )
-
-inca3_lmdz9672_ch4 :
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie CH4 -parallel true -m $(FCM_ARCH); cp SIMULATIONS/CH4/inca.dat ../../bin/inca.dat ; )
-	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 45 -v false -chimie CH4 -parallel false  -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t45_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 45 -v false -chimie CH4 -parallel true  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t45_phylmd_para.e ../../bin/gcm.e ; )
-
-
-inca3_lmdz9672_nmhcaer :
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie NMHC_AER -parallel true -m $(FCM_ARCH); cp SIMULATIONS/NMHC_AER/inca.dat ../../bin/inca.dat ; )
-	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 119 -v false -chimie NMHC_AER -parallel false  -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t119_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 119 -v false -chimie NMHC_AER -parallel true  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t119_phylmd_para.e ../../bin/gcm.e ; )
-
-inca3_lmdz9672_nmhc :
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie NMHC -parallel true -m $(FCM_ARCH); cp SIMULATIONS/NMHC/inca.dat ../../bin/inca.dat ; )
-	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 89 -v false -chimie NMHC -parallel false  -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t89_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 89 -v false -chimie NMHC -parallel true  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t89_phylmd_para.e ../../bin/gcm.e ; )
-
-
-inca3_lmdz9672_ges :
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie GES -parallel true -m $(FCM_ARCH); cp SIMULATIONS/GES/inca.dat ../../bin/inca.dat ; )
-	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 13 -v false -chimie GES -parallel false  -m $(FCM_ARCH) -g reg create_etat0_limit ; cp bin/create_etat0_limit_96x72x19_t13_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(  cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 13 -v false -chimie GES -parallel true  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t13_phylmd_para.e ../../bin/gcm.e ; )
-
-
-
-libioipsl :
-	(cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
-
-inca3 :
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie $(MAKECMDGOALS) -parallel true -m $(FCM_ARCH); ) 