Index: /CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/AA_make
===================================================================
--- /CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/AA_make	(revision 549)
+++ /CONFIG/LMDZINCA/branches/LMDZINCA_v3_1/AA_make	(revision 550)
@@ -33,29 +33,29 @@
 
 inca3_lmdz9672_aer : 
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie AER -parallel mpi_omp -m $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )
-	(cd ../../modeles/LMDZ4;  ./makegcm_fcm -d 96x72x19 -t 31 -v false -chimie INCA -parallel mpi_omp -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t31_phylmd_para_inca.e ../../bin/gcm.e ; )
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie AER -parallel mpi -m $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )
+	(cd ../../modeles/LMDZ4;  ./makegcm_fcm -d 96x72x19 -t 31 -v false -chimie INCA -parallel mpi -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t31_phylmd_para_inca.e ../../bin/gcm.e ; )
 
 
 inca3_lmdz9672_ch4aer :
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie CH4_AER -parallel mpi_omp -m $(FCM_ARCH); cp SIMULATIONS/CH4_AER/inca.dat ../../bin/inca.dat ; )
-	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 75 -v false -chimie INCA -parallel mpi_omp  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t75_phylmd_para_inca.e ../../bin/gcm.e ; )
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie CH4_AER -parallel mpi -m $(FCM_ARCH); cp SIMULATIONS/CH4_AER/inca.dat ../../bin/inca.dat ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 75 -v false -chimie INCA -parallel mpi  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t75_phylmd_para_inca.e ../../bin/gcm.e ; )
 
 inca3_lmdz9672_ch4 :
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie CH4 -parallel mpi_omp -m $(FCM_ARCH); cp SIMULATIONS/CH4/inca.dat ../../bin/inca.dat ; )
-	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 45 -v false -chimie INCA -parallel mpi_omp  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t45_phylmd_para_inca.e ../../bin/gcm.e ; )
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie CH4 -parallel mpi -m $(FCM_ARCH); cp SIMULATIONS/CH4/inca.dat ../../bin/inca.dat ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 45 -v false -chimie INCA -parallel mpi  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t45_phylmd_para_inca.e ../../bin/gcm.e ; )
 
 
 inca3_lmdz9672_nmhcaer :
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie NMHC_AER -parallel mpi_omp -m $(FCM_ARCH); cp SIMULATIONS/NMHC_AER/inca.dat ../../bin/inca.dat ; )
-	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 119 -v false -chimie INCA -parallel mpi_omp  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t119_phylmd_para_inca.e ../../bin/gcm.e ; )
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie NMHC_AER -parallel mpi -m $(FCM_ARCH); cp SIMULATIONS/NMHC_AER/inca.dat ../../bin/inca.dat ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 119 -v false -chimie INCA -parallel mpi  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t119_phylmd_para_inca.e ../../bin/gcm.e ; )
 
 inca3_lmdz9672_nmhc :
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie NMHC -parallel mpi_omp -m $(FCM_ARCH); cp SIMULATIONS/NMHC/inca.dat ../../bin/inca.dat ; )
-	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 89 -v false -chimie INCA -parallel mpi_omp  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t89_phylmd_para_inca.e ../../bin/gcm.e ; )
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie NMHC -parallel mpi -m $(FCM_ARCH); cp SIMULATIONS/NMHC/inca.dat ../../bin/inca.dat ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 89 -v false -chimie INCA -parallel mpi  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t89_phylmd_para_inca.e ../../bin/gcm.e ; )
 
 
 inca3_lmdz9672_ges :
-	(cd ../../modeles/INCA3; ./inca_fcm -chimie GES -parallel mpi_omp -m $(FCM_ARCH); cp SIMULATIONS/GES/inca.dat ../../bin/inca.dat ; )
-	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 13 -v false -chimie INCA -parallel mpi_omp  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t13_phylmd_para_inca.e ../../bin/gcm.e ; )
+	(cd ../../modeles/INCA3; ./inca_fcm -chimie GES -parallel mpi -m $(FCM_ARCH); cp SIMULATIONS/GES/inca.dat ../../bin/inca.dat ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x72x19 -t 13 -v false -chimie INCA -parallel mpi  -m $(FCM_ARCH) -g reg gcm ; cp bin/gcm_96x72x19_t13_phylmd_para_inca.e ../../bin/gcm.e ; )
 
 libioipsl :