Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v2/AA_make
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v2/AA_make	(revision 586)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v2/AA_make	(revision 587)
@@ -5,17 +5,17 @@
 	if [ -s ./.resol ] ; then gmake `cat .resol` ; else gmake LMD9671 ; fi
 
-LMD7245 : libioipsl liborchidee lmdz7245
+LMD7245 : libioipsl liborchidee lmdz7245 verif
 	echo "LMD7245" >.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-LMD9671 : libioipsl liborchidee lmdz9671
+LMD9671 : libioipsl liborchidee lmdz9671 verif
 	echo "LMD9671" >.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-LMD14496 : libioipsl liborchidee lmdz14496
+LMD14496 : libioipsl liborchidee lmdz14496 verif
 	echo "LMD14496" >.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-LMD144142 : libioipsl liborchidee lmdz144142
+LMD144142 : libioipsl liborchidee lmdz144142 verif
 	echo "LMD144142" >.resol
 	echo "$(LIB_MPI)" >.libmpi
@@ -57,2 +57,4 @@
 	ls -l ../../bin
 
+clean :
+	(rm -rf $(LIBDIR)/* ; rm -f $(BINDIR)/* ; rm -rf ../../modeles/LMDZ4/libo/* ../../modeles/LMDZ4/.lock ; rm -fr .resol .libmpi ; )
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v2/AA_make.ldef
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v2/AA_make.ldef	(revision 586)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v2/AA_make.ldef	(revision 587)
@@ -1,6 +1,6 @@
 #- $Id$
 #---------------------------------------------------------------------
-#- Creation des elements relatifs a LMDZ4_V3_1 + ORCHIDEE_1_9_1 :
-#-      LMDZ4_V2_1 (lib, executable : gcm.e)
+#- Creation des elements relatifs a LMDZ4_V3_4 + ORCHIDEE_1_9_2 :
+#-      LMDZ4_V3_4 (lib, executable : gcm.e)
 #-      ORCHIDEE (lib + modules F90)
 #-      IOIPSL (lib + modules F90)
@@ -8,6 +8,6 @@
 SHELL = /bin/sh
 #---------------------------------------------------------------------
-LIBDIR = ../../../../lib
-BINDIR = ../../../../bin
+LIBDIR = ../../lib
+BINDIR = ../../bin
 MODDIR = $(LIBDIR)
 #---------------------------------------------------------------------
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/COMP/lmdz.card
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/COMP/lmdz.card	(revision 586)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/COMP/lmdz.card	(revision 587)
@@ -14,6 +14,6 @@
 	(${R_INIT}/ATM/${config_UserChoices_TagName}/Rugos.nc, .), \
 	(${R_INIT}/ATM/${config_UserChoices_TagName}/landiceref.nc, .) \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/amipbc_sst_1x1_clim.nc, amipbc_sst_1x1.nc), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/amipbc_sic_1x1_clim.nc, amipbc_sic_1x1.nc)
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/sst_bc_clim.nc, amipbc_sst_1x1.nc), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/sic_bc_clim.nc, amipbc_sic_1x1.nc)
 
 [BoundaryFiles]
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/COMP/lmdz.card_Interannuel
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/COMP/lmdz.card_Interannuel	(revision 586)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/COMP/lmdz.card_Interannuel	(revision 587)
@@ -10,6 +10,6 @@
 
 [BoundaryFiles]
-List=   (${R_INIT}/ATM/${config_UserChoices_TagName}/Amip6/amipbc_sst_360x180_${year}.nc, amipbc_sst_1x1.nc), \
-	(${R_INIT}/ATM/${config_UserChoices_TagName}/Amip6/amipbc_sic_360x180_${year}.nc, amipbc_sic_1x1.nc)
+List=   (${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/amipbc_sst_360x180_${year}.nc, amipbc_sst_1x1.nc), \
+	(${R_INIT}/ATM/${config_UserChoices_TagName}/AMIP/amipbc_sic_360x180_${year}.nc, amipbc_sic_1x1.nc)
 
 ListNonDel= (${R_INIT}/ATM/${config_UserChoices_TagName}/Albedo.nc, .), \
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/config.card
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/config.card	(revision 586)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/config.card	(revision 587)
@@ -11,10 +11,10 @@
 #D-- (<8 chars MAX for JobName)
 JobName= ELC-${RESOL}
-LongName="create_etat0_limit for climatology run'
+LongName="create_etat0_limit for climatology run"
 TagName=LMDZ4OR_v2
 #============================
 #D-- leap, noleap, 360d
 CalendarType=360d
-#D-- Début et fin de Job
+#D-- Begin and end of job 
 #D-- "YYYY-MM-DD"
 DateBegin=1979-01-01
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/config.card_Interannuel
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/config.card_Interannuel	(revision 586)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v2/CREATE/config.card_Interannuel	(revision 587)
@@ -11,13 +11,13 @@
 #D-- (<8 chars MAX for JobName)
 JobName=ELI-${RESOL}
-LongName='create_etat0_limit for interannuel run'
+LongName="create_etat0_limit for interannuel run"
 TagName=LMDZ4OR_v2
 #============================
 #D-- leap, noleap, 360d
 CalendarType=360d
-#D-- Début et fin de Job
+#D-- Begin and end of job 
 #D-- "YYYY-MM-DD"
-DateBegin=1956-01-01
-DateEnd=2005-12-30
+DateBegin=1870-01-01
+DateEnd=2007-12-30
 #============================
 #D-- 1Y, 1M, 5D, 1D
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v2/LMDZOR/config.card
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v2/LMDZOR/config.card	(revision 586)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v2/LMDZOR/config.card	(revision 587)
@@ -11,10 +11,10 @@
 #-- (<8 chars MAX for JobName)
 JobName=LMDZOR01
-LongName="Configuration de LMDZ4OR qui corresponde au version force de IPSLCM4_v2"
+LongName="LMDZ4OR configuration corresponding to the coupled configuration IPSLCM4_v2"
 TagName=LMDZ4OR_v2
 #============================
 #-- leap, noleap, 360d
 CalendarType=360d
-#-- Début et fin de Job
+#-- Begin and end of job 
 #-- "YYYY-MM-DD"
 DateBegin=1980-01-01
@@ -54,9 +54,9 @@
 OverRule=n
 #D- Last day of the experience used as restart
-RestartDate=1869-12-30
+RestartDate=
 #D- Define restart simulation name
-RestartJobName=CD1
+RestartJobName=
 #D- Path Server Group Login
-RestartPath=${ARCHIVE}/IGCM_OUT/LMDz4OR_v2
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDZ4OR_v2
 # Attention login depend de la machine
 
@@ -82,8 +82,8 @@
 Restart= n
 # Last day of the experience used as restart
-RestartDate=1999-12-30
+RestartDate=
 # Define restart simulation name
-RestartJobName=2L18
-RestartPath=${ARCHIVE}/IGCM_OUT/LMDz4OR_v2
+RestartJobName=
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDZ4OR_v2
 # Old component name for restart (if empty, use new name)
 OldName=
@@ -95,8 +95,8 @@
 Restart=n
 ##-- Last day of the experience used as restart
-RestartDate=1999-12-30
+RestartDate=
 # Define restart simulation name
-RestartJobName=2L18
-RestartPath=${ARCHIVE}/IGCM_OUT/LMDz4OR_v2
+RestartJobName=
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDZ4OR_v2
 #-- Old component name for restart (if empty, use new name)
 OldName=