Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make	(revision 587)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make	(revision 589)
@@ -5,17 +5,17 @@
 	if [ -s ./.resol ] ; then gmake `cat .resol` ; else gmake LMD9671 ; fi
 
-LMD7245 : libioipsl liborchidee lmdz7245
+LMD7245 : libioipsl liborchidee lmdz7245 verif
 	echo "LMD7245" >.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-LMD9671 : libioipsl liborchidee lmdz9671
+LMD9671 : libioipsl liborchidee lmdz9671 verif
 	echo "LMD9671" >.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-LMD14496 : libioipsl liborchidee lmdz14496
+LMD14496 : libioipsl liborchidee lmdz14496 verif
 	echo "LMD14496" >.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-LMD144142 : libioipsl liborchidee lmdz144142
+LMD144142 : libioipsl liborchidee lmdz144142 verif
 	echo "LMD144142" >.resol
 	echo "$(LIB_MPI)" >.libmpi
@@ -57,2 +57,5 @@
 	ls -l ../../bin
 
+clean :
+	(rm -rf $(LIBDIR)/* ; rm -f $(BINDIR)/* ; rm -rf ../../modeles/LMDZ4/libo/* ../../modeles/LMDZ4/.lock ; rm -fr .resol .libmpi ; )
+
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make.ldef
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make.ldef	(revision 587)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make.ldef	(revision 589)
@@ -8,6 +8,6 @@
 SHELL = /bin/sh
 #---------------------------------------------------------------------
-LIBDIR = ../../../../lib
-BINDIR = ../../../../bin
+LIBDIR = ../../lib
+BINDIR = ../../bin
 MODDIR = $(LIBDIR)
 #---------------------------------------------------------------------
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card	(revision 587)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card	(revision 589)
@@ -10,11 +10,11 @@
 #============================
 #D-- (<8 chars MAX for JobName)
-JobName= ELC-${RESOL}
-LongName="create_etat0_limit for climatology run'
+JobName= ELC-LMD9671
+LongName="create_etat0_limit for climatology run"
 TagName=LMDZOR
 #============================
 #D-- leap, noleap, 360d
 CalendarType=360d
-#D-- Début et fin de Job
+#D-- Begin and end of job 
 #D-- "YYYY-MM-DD"
 DateBegin=1979-01-01
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card_Interannuel
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card_Interannuel	(revision 587)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/CREATE/config.card_Interannuel	(revision 589)
@@ -11,10 +11,10 @@
 #D-- (<8 chars MAX for JobName)
 JobName=ELI-${RESOL}
-LongName='create_etat0_limit for interannuel run'
+LongName="create_etat0_limit for interannuel run"
 TagName=LMDZOR
 #============================
 #D-- leap, noleap, 360d
 CalendarType=360d
-#D-- Début et fin de Job
+#D-- Begin and end of job 
 #D-- "YYYY-MM-DD"
 DateBegin=1870-01-01
Index: CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/config.card
===================================================================
--- CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/config.card	(revision 587)
+++ CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/config.card	(revision 589)
@@ -11,10 +11,10 @@
 #-- (<8 chars MAX for JobName)
 JobName=LMDZOR01
-LongName="Configuration de LMDZ4OR qui utilise le trunk de LMDZ4"
+LongName="LMDZ4OR configuration using the SVN trunk of LMDZ4"
 TagName=LMDZOR
 #============================
 #-- leap, noleap, 360d
 CalendarType=360d
-#-- Début et fin de Job
+#-- Begin and end of job 
 #-- "YYYY-MM-DD"
 DateBegin=1980-01-01
@@ -54,9 +54,9 @@
 OverRule=n
 #D- Last day of the experience used as restart
-RestartDate=1869-12-30
+RestartDate=
 #D- Define restart simulation name
-RestartJobName=CD1
+RestartJobName=
 #D- Path Server Group Login
-RestartPath=${ARCHIVE}/IGCM_OUT/LMDz4OR_v2
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDZOR
 # Attention login depend de la machine
 
@@ -82,7 +82,7 @@
 Restart= n
 # Last day of the experience used as restart
-RestartDate=1999-12-30
+RestartDate=
 # Define restart simulation name
-RestartJobName=2L18
+RestartJobName=
 RestartPath=${ARCHIVE}/IGCM_OUT/LMDZOR
 # Old component name for restart (if empty, use new name)
@@ -95,7 +95,7 @@
 Restart=n
 ##-- Last day of the experience used as restart
-RestartDate=1999-12-30
+RestartDate=
 # Define restart simulation name
-RestartJobName=2L18
+RestartJobName=
 RestartPath=${ARCHIVE}/IGCM_OUT/LMDZOR
 #-- Old component name for restart (if empty, use new name)